# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLQuoteElement Class Reference

For the `Q` and `BLOCKQUOTE` elements. More...

`#include <html_inline.h>`

Inheritance diagram for DOM::HTMLQuoteElement:

[legend]
Collaboration diagram for DOM::HTMLQuoteElement:

[legend]
List of all members.

## Public Member Functions

| HTMLQuoteElement (const HTMLQuoteElement &other)
| HTMLQuoteElement (const Node &other)
HTMLQuoteElement & | operator= (const HTMLQuoteElement &other)
HTMLQuoteElement & | operator= (const Node &other)
DOMString | cite () const
void | setCite (const DOMString &)

## Protected Member Functions

| HTMLQuoteElement (HTMLGenericElementImpl *impl)

## Detailed Description

For the `Q` and `BLOCKQUOTE` elements.

See the Q element definition in HTML 4.0.

Note: The DOM is not quite consistent here. They also define the HTMLBlockQuoteElement interface, to represent the `BLOCKQUOTE` element. To resolve ambiquities, we use this one for the `Q` element only.

Definition at line 422 of file html_inline.h.

## Member Function Documentation

DOMString HTMLQuoteElement::cite | ( |  | ) | const

| A URI designating a document that designates a source document or message. See the cite attribute definition in HTML 4.0. Definition at line 418 of file html_inline.cpp.

void HTMLQuoteElement::setCite | ( | const DOMString & |  | ) |

| see cite Definition at line 424 of file html_inline.cpp.

The documentation for this class was generated from the following files:

- html_inline.h
- html_inline.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003